class test_string{

public mfl.Number get_test_string(){
  mfl.Number result = new mfl.Number();
  mfl.Value h;
  h = new mfl.String("hello");
  System.out.println(h.toString());
  System.out.println(h.count_op().toString());
  h = h.plus_op(new mfl.String(" there"));
  System.out.println(h.toString());
  System.out.println(h.equal_op(new mfl.String("hello there")).toString());
  System.out.println(new mfl.String("a").greater_than_op(new mfl.String("a")).toString());
  System.out.println(new mfl.String("aa").greater_than_or_equal_op(new mfl.String("aa")).toString());
  System.out.println(new mfl.String("aab").less_than_op(new mfl.String("aaa")).toString());
  System.out.println(new mfl.String("aaaa").less_than_or_equal_op(new mfl.String("aa").plus_op(new mfl.String("aa"))).toString());
  System.out.println(new mfl.String("aaaaa").less_than_or_equal_op(new mfl.String("aaaa")).toString());
  System.out.println(h.not_equal_op(new mfl.String("hello")).toString());
  System.out.println(new mfl.String("a").plus_op(new mfl.String("a")).not_equal_op(new mfl.String("aa")).toString());
  System.out.println(new mfl.String("a").plus_op(new mfl.String("a")).plus_op(new mfl.String("a")).equal_op(new mfl.String("aaa")).toString());
  System.out.println(new mfl.String("a").plus_op(new mfl.String("a").plus_op(new mfl.String("a"))).not_equal_op(new mfl.String("aaa")).toString());
  System.out.println(h.index_op(new mfl.Integer(1)).toString());
  System.out.println(h.index_op(new mfl.Integer(2), new mfl.Integer(2147483647)).toString());
  System.out.println(h.index_op(new mfl.Integer(1), new mfl.Integer(5)).toString());
  System.out.println(h.index_op(new mfl.Integer(4), new mfl.Integer(8)).toString());
  return result;
}

public static void main(String Argv[]){
  test_string m = new test_string();
  m.get_test_string();
}

}

